Page MenuHomePhabricator

copies-rust: pre-introduce a PathToken type and use it where applicable
ClosedPublic

Authored by marmoute on Dec 2 2020, 11:02 AM.

Details

Summary

Handling string all the time is quite slow. So we are about to use more
efficient "token". We do some of the churn early to clarify the next changesets.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

marmoute created this revision.Dec 2 2020, 11:02 AM
baymax updated this revision to Diff 24121.Dec 8 2020, 6:25 AM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

baymax updated this revision to Diff 24134.Dec 8 2020, 10:11 PM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

pulkit accepted this revision.Dec 12 2020, 3:27 AM
This revision is now accepted and ready to land.Dec 12 2020, 3:27 AM
Alphare accepted this revision.Dec 14 2020, 4:41 AM
marmoute updated this revision to Diff 24215.Dec 14 2020, 6:16 AM
baymax updated this revision to Diff 24244.Dec 14 2020, 7:59 AM

✅ refresh by Heptapod after a successful CI run (🐙 💚)